BCL mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 System.Enum

Represents a value specifying whether an entity, at creation, should have full or no access to resources.

Code access permission objects supply a constructor that takes a value specifying that the new instance is either fully restricted () or unrestricted (). A fully restricted permission object disallows access to a resource; an unrestricted permission object allows full access to a resource. For example, a fully restricted object disallows access to files and directories, while an unrestricted object of the same

type allows full access to all files and directories in the file system.

- Field
  System.Security.Permissions.PermissionState None

  Specifies access to the resource protected by the permission is not allowed.

  To be added. 0 1.0.5000.0 2.0.0.0
- Field
  System.Security.Permissions.PermissionState Unrestricted

  Specifies full access to the resource protected by the permission.

  To be added. 0 1.0.5000.0 2.0.0.0
0 System.Runtime.InteropServices.ComVisible(true)